Package org.eclipse.m2m.atl.core.ant.tasks.nested

# Class OutModel

java.lang.Object
org.eclipse.m2m.atl.core.ant.tasks.nested.OutModel

public class OutModel extends Object
Output model nested element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`factory`
`protected String`
`metamodel`
`protected String`
`metamodelName`
`protected String`
`model`
`protected String`
`modelHandler`
`protected String`
`name`
`protected String`
`path`

## Constructor Summary

Constructors
Constructor
Description
`OutModel()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFactory()`
`String`
`getMetamodel()`
`String`
`getMetamodelName()`
`String`
`getModel()`
`String`
`getModelHandler()`
`String`
`getName()`
`String`
`getPath()`
Gets the path parameter.
`void`
`setFactory(String factory)`
`void`
`setMetamodel(String metamodel)`
`void`
`setMetamodelName(String metamodelName)`
`void`
`setModel(String model)`
`void`
`setModelHandler(String modelHandler)`
`void`
`setName(String name)`
`void`
`setPath(String path)`
Sets the path parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### model

protected String model

### name

protected String name

### metamodel

protected String metamodel

### metamodelName

protected String metamodelName

### modelHandler

protected String modelHandler

### factory

protected String factory

### path

protected String path

## Constructor Details

### OutModel

public OutModel()

## Method Details

### getFactory

public String getFactory()

### setFactory

public void setFactory(String factory)

### getModelHandler

public String getModelHandler()

### setModelHandler

public void setModelHandler(String modelHandler)

### getMetamodel

public String getMetamodel()

### setMetamodel

public void setMetamodel(String metamodel)

### getMetamodelName

public String getMetamodelName()

### setMetamodelName

public void setMetamodelName(String metamodelName)

### setModel

public void setModel(String model)

### getModel

public String getModel()

### getName

public String getName()

### setName

public void setName(String name)

### setPath

public void setPath(String path)
Sets the path parameter.

Parameters:
  `path` - The path to set.

### getPath

public String getPath()
Gets the path parameter.

Returns:
  Returns the path.